Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QVBoxLayout

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.core.QObject
                  com.trolltech.qt.gui.QLayout
                      com.trolltech.qt.gui.QBoxLayout
                          com.trolltech.qt.gui.QVBoxLayout

All Implemented Interfaces:
  QLayoutItemInterface, QtJambiInterface

    public class QVBoxLayout

extends QBoxLayout

The `QVBoxLayout` class lines up widgets vertically. This class is used to construct vertical box layout objects. See `QBoxLayout` for details.

The simplest use of the class is like this:

            QWidget window = new QWidget();

            QPushButton button1 = new QPushButton("One");

            QPushButton button2 = new QPushButton("Two");
            QPushButton button3 = new QPushButton("Three");
            QPushButton button4 = new QPushButton("Four");
            QPushButton button5 = new QPushButton("Five");

            QVBoxLayout layout = new QVBoxLayout();

            layout.addWidget(button1);
            layout.addWidget(button2);
            layout.addWidget(button3);
            layout.addWidget(button4);
            layout.addWidget(button5);

            window.setLayout(layout);

            window.show();

First, we create the widgets we want in the layout. Then, we create the `QVBoxLayout` object and add the widgets into the layout. Finally, we call `QWidget::setLayout()` to install the `QVBoxLayout` object onto the widget. At that point, the widgets in the layout are reparented to have `window` as their parent.

See also:
  `QHBoxLayout`, `QGridLayout`, `QStackedLayout`, Layout Classes, and Basic Layouts Example.

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.gui.QBoxLayout
`QBoxLayout.Direction`

Nested classes/interfaces inherited from class com.trolltech.qt.gui.QLayout
`QLayout.SizeConstraint`

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.Signal0, QSignalEmitter.Signal1, QSignalEmitter.Signal2, QSignalEmitter.Signal3, QSignalEmitter.Signal4, QSignalEmitter.Signal5, QSignalEmitter.Signal6, QSignalEmitter.Signal7, QSignalEmitter.Signal8, QSignalEmitter.Signal9`

Constructor Summary
`QVBoxLayout()` Constructs a new vertical box.
`QVBoxLayout(QWidget parent)` Constructs a new top-level vertical box with parent `parent`.

Method Summary
`static QVBoxLayout` | `fromNativePointer(QNativePointer nativePointer)` This method returns the QVBoxLayout instance pointed to by `nativePointer`.

Methods inherited from class com.trolltech.qt.gui.QBoxLayout
`addLayout, addLayout, addSpacerItem, addSpacing, addStretch, addStretch, addStrut, addWidget, addWidget, direction, insertItem, insertLayout, insertLayout, insertSpacerItem, insertSpacing, insertStretch, insertStretch, insertWidget, insertWidget, insertWidget, insertWidget, setDirection, setSpacing, setStretchFactor, setStretchFactor, spacing`

Methods inherited from class com.trolltech.qt.gui.QLayout
`activate, addChildLayout, addChildWidget, addItem, addWidget, alignment, alignmentRect, closestAcceptableSize, contentsRect, controlTypes, count, expandingDirections, geometry, getContentsMargins, hasHeightForWidth, heightForWidth, indexOf, invalidate, isEmpty, isEnabled, itemAt, layout, maximumSize, menuBar, minimumHeightForWidth, minimumSize, parentWidget, removeItem, removeWidget, setAlignment, setAlignment, setAlignment, setAlignment, setAlignment, setContentsMargins, setContentsMargins, setEnabled, setGeometry, setMargin, setMenuBar, setSizeConstraint, setWidgetSpacing, sizeConstraint, sizeHint, spacerItem, takeAt, update, widget, widgetSpacing`

Methods inherited from class com.trolltech.qt.core.QObject
`childEvent, children, connectSlotsByName, customEvent, disposeLater, dumpObjectInfo, dumpObjectTree, dynamicPropertyNames, event, eventFilter, findChild, findChild, findChild, findChildren, findChildren, findChildren, findChildren, indexOfProperty, installEventFilter, isWidgetType, killTimer, moveToThread, objectName, parent, properties, property, removeEventFilter, setObjectName, setParent, setProperty, startTimer, timerEvent, toString, userProperty`

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, equals, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`clone, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QVBoxLayout

    public QVBoxLayout()

  Constructs a new vertical box. You must add it to another layout.

### QVBoxLayout

    public QVBoxLayout(QWidget parent)

  Constructs a new top-level vertical box with parent `parent`.

Method Detail

### fromNativePointer

    public static QVBoxLayout fromNativePointer(QNativePointer nativePointer)

  This method returns the QVBoxLayout instance pointed to by `nativePointer`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD